@keyframes marquee-scroll {
    0% {
        transform: translateX(0);
    }

    100% {
        transform: translateX(-50%);
    }
}


/* ローディングアニメーション */

#loading {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  background: #fff;
  z-index: 9999;

  display: flex;
  align-items: center;
  justify-content: center;

  transition: opacity 0.6s ease;
}

#loading.is-hide {
  opacity: 0;
  pointer-events: none;
}

/* サイドタブ */

.side-tabs {
    position: fixed;
    top: 30%;
    right: 0;
    transform: translateY(-50%);
    z-index: 999;
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.side-tab {
    display: flex;
    justify-content: center;
    /* 横方向の中央寄せ */
    align-items: center;
    /* 縦方向の中央寄せ */
    width: 80px;
    /* タブの幅 */
    height: 80px;
    /* タブの高さ */
    border-radius: 20px 0 0 20px;
    /* 左側だけ角を丸く */
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    /* 少し立体感を出す */
    transition: transform 0.3s ease, filter 0.3s ease;
    text-decoration: none;
    /* リンクの下線を消す */
}

/* 1つ目のタブの背景色 */
.side-tab--apply {
    background-color: #dca000;
    /* オレンジ系 */
}

/* 2つ目のタブの背景色 */
.side-tab--document {
    background-color: #ff788c;
    /* グリーン系 */
}

/* 中央配置する画像のスタイル */
.side-tab__icon {
    width: 70%;
    /* 画像のサイズ調整（タブより小さく） */
    height: 70%;
    /* 画像のサイズ調整（タブより小さく） */
    object-fit: contain;
    /* アスペクト比を維持して収める */
}

/* ホバー時の演出（少し左に飛び出す） */
.side-tab:hover {
    opacity: 0.7;
}